Subject: Fluid should support "EXT:" paths
Description

In extbase controllers you can set a template path:

$this->view->setTemplatePathAndFilename(...);

This should support paths like "EXT:extension_key/Private/Templates/List.html"

In the current version this throws an InvalidTemplateResourceException in TYPO3\CMS\Fluid\View\TemplateView Line 338:

  334         protected function getTemplateSource($actionName = NULL) {
  335                 $templatePathAndFilename = $this->getTemplatePathAndFilename($actionName);
  336                 $templateSource = file_get_contents($templatePathAndFilename);
  337                 if ($templateSource === FALSE) {
  338                         throw new Exception\InvalidTemplateResourceException('"' . $templatePathAndFilename . '" is not a valid
template resource URI.', 1257246929);
  339                 }
  340                 return $templateSource;
  341         }

Associated revisions
Revision f0f577de - 2015-01-18 09:58 - Markus Klein

[BUGFIX] Standalone- and TemplateView must not require ucfirst file names

There's no reason to require ucfirst file names for Layouts and Partials.
This patch allows free naming of Layouts, Partials and Templates.
For best performance we really suggest to stick to UpperCamelCase though.

Change-Id: I04049e2cd248288efb97e06cac3b5d8000fd1d52
Resolves: #63367
Releases: master
Reviewed-by: Andreas Fernandez <andreas.fernandez@aspedia.de>
Tested-by: Andreas Fernandez <andreas.fernandez@aspedia.de>
History
#1 - 2014-04-23 10:58 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29614

#2 - 2014-06-19 20:58 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29614

#3 - 2014-06-20 17:47 - Jigal van Hemert

Can you give a use case where it's not possible to get the correct path when calling setTemplatePathAndFilename() ?
You could either call extension management utility to get the path to an extension or use the suggested getFileAbsFileName() to get it parsed
automagically.
setTemplatePathAndFilename() says it expects an absolute path to the file.

#4 - 2014-06-20 17:57 - Markus Hölzle

Ok, I think it's always possible to call the getAbsFileName() manually. I just thought it would be a little simpler for developers because it would be more
consistent to call always paths like "EXT:".

In my example I can set the template path for some actions via typoscript extension settings.

#5 - 2014-09-12 10:13 - Alexander Opitz
- Project changed from Fluid to Core
- Category changed from Fluid: View to Fluid
- Complexity set to easy

#6 - 2015-01-03 20:23 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/29614

#7 - 2015-01-05 11:50 - Gerrit Code Review

Patch set 22 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812
#8 - 2015-01-05 11:53 - Gerrit Code Review

Patch set 23 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#9 - 2015-01-05 14:06 - Gerrit Code Review

Patch set 24 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#10 - 2015-01-15 02:05 - Gerrit Code Review

Patch set 25 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#11 - 2015-01-18 10:00 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f0f577de0ce97e3d3579e81148fb98160b62fdaf.
